<?php

$a[] = "Ana";
$a[] = "Petar";
$a[] = "Jovan";
$a[] = "Jovana";
$a[] = "Jasna";
$a[] = "Jelena";
$a[] = "Andrija";
$a[] = "Pavle";

$ime = $_GET['ime'];

$hint = "";
if (strlen($ime) > 0) {
    for ($i = 0; $i < count($a); $i++) {
        if (strtolower($ime) == strtolower(substr($a[$i], 0, strlen($ime)))) {
            if ($hint == "") {
                $hint = $a[$i];
            } else {
                $hint = $hint . ", " . $a[$i];
            }
        }
    }
}

if ($hint == "") {
    $odgovor = "Nema trazenog imena u nizu";
} else {
    $odgovor = $hint;
}

echo $odgovor;
?>